/**
 * output package name
 */
package com.kingdee.eas.custom.dormitorysystem.waterpower.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractWaterPowerMeterReadingEditUI extends com.kingdee.eas.framework.client.CoreBillEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractWaterPowerMeterReadingEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreator;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditor;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contyears;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contdormCode;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contdormNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conttotalWaterTons;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conttotalElecDegrees;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcurMonthWater;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcurMonthElecDegrees;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contmeterReaPerson;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contremark;
    protected com.kingdee.bos.ctrl.swing.KDCheckBox chkcalcInterval;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contdormitory;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contelecBaseRead;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contwaterBaseRead;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contlastWaterVal;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contlastEleVal;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contlastMeterDate;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCreator;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateCreateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkBizDate;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtAuditor;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkyears;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtdormCode;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtdormNumber;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txttotalWaterTons;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txttotalElecDegrees;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtcurMonthWater;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtcurMonthElecDegrees;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtmeterReaPerson;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneremark;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtremark;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtdormitory;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtelecBaseRead;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtwaterBaseRead;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtlastWaterVal;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtlastEleVal;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pklastMeterDate;
    protected com.kingdee.eas.custom.dormitorysystem.waterpower.WaterPowerMeterReadingInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractWaterPowerMeterReadingEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractWaterPowerMeterReadingEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        //actionSubmit
        String _tempStr = null;
        actionSubmit.setEnabled(true);
        actionSubmit.setDaemonRun(false);

        actionSubmit.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl S"));
        _tempStr = resHelper.getString("ActionSubmit.SHORT_DESCRIPTION");
        actionSubmit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.LONG_DESCRIPTION");
        actionSubmit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.NAME");
        actionSubmit.putValue(ItemAction.NAME, _tempStr);
        this.actionSubmit.setBindWorkFlow(true);
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrint
        actionPrint.setEnabled(true);
        actionPrint.setDaemonRun(false);

        actionPrint.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl P"));
        _tempStr = resHelper.getString("ActionPrint.SHORT_DESCRIPTION");
        actionPrint.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.LONG_DESCRIPTION");
        actionPrint.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.NAME");
        actionPrint.putValue(ItemAction.NAME, _tempStr);
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrintPreview
        actionPrintPreview.setEnabled(true);
        actionPrintPreview.setDaemonRun(false);

        actionPrintPreview.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("shift ctrl P"));
        _tempStr = resHelper.getString("ActionPrintPreview.SHORT_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.LONG_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.NAME");
        actionPrintPreview.putValue(ItemAction.NAME, _tempStr);
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        this.contCreator = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateUser = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditor = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contyears = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contdormCode = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contdormNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conttotalWaterTons = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conttotalElecDegrees = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcurMonthWater = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcurMonthElecDegrees = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contmeterReaPerson = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contremark = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.chkcalcInterval = new com.kingdee.bos.ctrl.swing.KDCheckBox();
        this.contdormitory = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contelecBaseRead = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contwaterBaseRead = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contlastWaterVal = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contlastEleVal = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contlastMeterDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.prmtCreator = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateCreateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtLastUpdateUser = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkBizDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtDescription = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.prmtAuditor = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.pkyears = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtdormCode = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtdormNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txttotalWaterTons = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txttotalElecDegrees = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtcurMonthWater = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtcurMonthElecDegrees = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.prmtmeterReaPerson = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.scrollPaneremark = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtremark = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.prmtdormitory = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtelecBaseRead = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtwaterBaseRead = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtlastWaterVal = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtlastEleVal = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.pklastMeterDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contNumber.setName("contNumber");
        this.contBizDate.setName("contBizDate");
        this.contDescription.setName("contDescription");
        this.contAuditor.setName("contAuditor");
        this.contyears.setName("contyears");
        this.contdormCode.setName("contdormCode");
        this.contdormNumber.setName("contdormNumber");
        this.conttotalWaterTons.setName("conttotalWaterTons");
        this.conttotalElecDegrees.setName("conttotalElecDegrees");
        this.contcurMonthWater.setName("contcurMonthWater");
        this.contcurMonthElecDegrees.setName("contcurMonthElecDegrees");
        this.contmeterReaPerson.setName("contmeterReaPerson");
        this.contremark.setName("contremark");
        this.chkcalcInterval.setName("chkcalcInterval");
        this.contdormitory.setName("contdormitory");
        this.contelecBaseRead.setName("contelecBaseRead");
        this.contwaterBaseRead.setName("contwaterBaseRead");
        this.contlastWaterVal.setName("contlastWaterVal");
        this.contlastEleVal.setName("contlastEleVal");
        this.contlastMeterDate.setName("contlastMeterDate");
        this.prmtCreator.setName("prmtCreator");
        this.kDDateCreateTime.setName("kDDateCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.kDDateLastUpdateTime.setName("kDDateLastUpdateTime");
        this.txtNumber.setName("txtNumber");
        this.pkBizDate.setName("pkBizDate");
        this.txtDescription.setName("txtDescription");
        this.prmtAuditor.setName("prmtAuditor");
        this.pkyears.setName("pkyears");
        this.txtdormCode.setName("txtdormCode");
        this.txtdormNumber.setName("txtdormNumber");
        this.txttotalWaterTons.setName("txttotalWaterTons");
        this.txttotalElecDegrees.setName("txttotalElecDegrees");
        this.txtcurMonthWater.setName("txtcurMonthWater");
        this.txtcurMonthElecDegrees.setName("txtcurMonthElecDegrees");
        this.prmtmeterReaPerson.setName("prmtmeterReaPerson");
        this.scrollPaneremark.setName("scrollPaneremark");
        this.txtremark.setName("txtremark");
        this.prmtdormitory.setName("prmtdormitory");
        this.txtelecBaseRead.setName("txtelecBaseRead");
        this.txtwaterBaseRead.setName("txtwaterBaseRead");
        this.txtlastWaterVal.setName("txtlastWaterVal");
        this.txtlastEleVal.setName("txtlastEleVal");
        this.pklastMeterDate.setName("pklastMeterDate");
        // CoreUI		
        this.btnTraceUp.setVisible(false);		
        this.btnTraceDown.setVisible(false);		
        this.btnCreateTo.setVisible(true);		
        this.btnAddLine.setVisible(false);		
        this.btnCopyLine.setVisible(false);		
        this.btnInsertLine.setVisible(false);		
        this.btnRemoveLine.setVisible(false);		
        this.btnAuditResult.setVisible(false);		
        this.separator1.setVisible(false);		
        this.menuItemCreateTo.setVisible(true);		
        this.separator3.setVisible(false);		
        this.menuItemTraceUp.setVisible(false);		
        this.menuItemTraceDown.setVisible(false);		
        this.menuTable1.setVisible(false);		
        this.menuItemAddLine.setVisible(false);		
        this.menuItemCopyLine.setVisible(false);		
        this.menuItemInsertLine.setVisible(false);		
        this.menuItemRemoveLine.setVisible(false);		
        this.menuItemViewSubmitProccess.setVisible(false);		
        this.menuItemViewDoProccess.setVisible(false);		
        this.menuItemAuditResult.setVisible(false);
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);		
        this.contCreator.setEnabled(false);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);		
        this.contCreateTime.setEnabled(false);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);		
        this.contLastUpdateUser.setEnabled(false);		
        this.contLastUpdateUser.setVisible(false);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);		
        this.contLastUpdateTime.setEnabled(false);		
        this.contLastUpdateTime.setVisible(false);
        // contNumber		
        this.contNumber.setBoundLabelText(resHelper.getString("contNumber.boundLabelText"));		
        this.contNumber.setBoundLabelLength(100);		
        this.contNumber.setBoundLabelUnderline(true);
        // contBizDate		
        this.contBizDate.setBoundLabelText(resHelper.getString("contBizDate.boundLabelText"));		
        this.contBizDate.setBoundLabelLength(100);		
        this.contBizDate.setBoundLabelUnderline(true);		
        this.contBizDate.setBoundLabelAlignment(7);		
        this.contBizDate.setVisible(true);
        // contDescription		
        this.contDescription.setBoundLabelText(resHelper.getString("contDescription.boundLabelText"));		
        this.contDescription.setBoundLabelLength(100);		
        this.contDescription.setBoundLabelUnderline(true);
        // contAuditor		
        this.contAuditor.setBoundLabelText(resHelper.getString("contAuditor.boundLabelText"));		
        this.contAuditor.setBoundLabelLength(100);		
        this.contAuditor.setBoundLabelUnderline(true);
        // contyears		
        this.contyears.setBoundLabelText(resHelper.getString("contyears.boundLabelText"));		
        this.contyears.setBoundLabelLength(100);		
        this.contyears.setBoundLabelUnderline(true);		
        this.contyears.setVisible(true);
        // contdormCode		
        this.contdormCode.setBoundLabelText(resHelper.getString("contdormCode.boundLabelText"));		
        this.contdormCode.setBoundLabelLength(100);		
        this.contdormCode.setBoundLabelUnderline(true);		
        this.contdormCode.setVisible(true);
        // contdormNumber		
        this.contdormNumber.setBoundLabelText(resHelper.getString("contdormNumber.boundLabelText"));		
        this.contdormNumber.setBoundLabelLength(100);		
        this.contdormNumber.setBoundLabelUnderline(true);		
        this.contdormNumber.setVisible(true);
        // conttotalWaterTons		
        this.conttotalWaterTons.setBoundLabelText(resHelper.getString("conttotalWaterTons.boundLabelText"));		
        this.conttotalWaterTons.setBoundLabelLength(100);		
        this.conttotalWaterTons.setBoundLabelUnderline(true);		
        this.conttotalWaterTons.setVisible(true);
        // conttotalElecDegrees		
        this.conttotalElecDegrees.setBoundLabelText(resHelper.getString("conttotalElecDegrees.boundLabelText"));		
        this.conttotalElecDegrees.setBoundLabelLength(100);		
        this.conttotalElecDegrees.setBoundLabelUnderline(true);		
        this.conttotalElecDegrees.setVisible(true);
        // contcurMonthWater		
        this.contcurMonthWater.setBoundLabelText(resHelper.getString("contcurMonthWater.boundLabelText"));		
        this.contcurMonthWater.setBoundLabelLength(100);		
        this.contcurMonthWater.setBoundLabelUnderline(true);		
        this.contcurMonthWater.setVisible(true);
        // contcurMonthElecDegrees		
        this.contcurMonthElecDegrees.setBoundLabelText(resHelper.getString("contcurMonthElecDegrees.boundLabelText"));		
        this.contcurMonthElecDegrees.setBoundLabelLength(100);		
        this.contcurMonthElecDegrees.setBoundLabelUnderline(true);		
        this.contcurMonthElecDegrees.setVisible(true);
        // contmeterReaPerson		
        this.contmeterReaPerson.setBoundLabelText(resHelper.getString("contmeterReaPerson.boundLabelText"));		
        this.contmeterReaPerson.setBoundLabelLength(100);		
        this.contmeterReaPerson.setBoundLabelUnderline(true);		
        this.contmeterReaPerson.setVisible(true);
        // contremark		
        this.contremark.setBoundLabelText(resHelper.getString("contremark.boundLabelText"));		
        this.contremark.setBoundLabelLength(100);		
        this.contremark.setBoundLabelUnderline(true);		
        this.contremark.setVisible(true);
        // chkcalcInterval		
        this.chkcalcInterval.setText(resHelper.getString("chkcalcInterval.text"));		
        this.chkcalcInterval.setVisible(true);		
        this.chkcalcInterval.setHorizontalAlignment(2);
        // contdormitory		
        this.contdormitory.setBoundLabelText(resHelper.getString("contdormitory.boundLabelText"));		
        this.contdormitory.setBoundLabelLength(100);		
        this.contdormitory.setBoundLabelUnderline(true);		
        this.contdormitory.setVisible(true);
        // contelecBaseRead		
        this.contelecBaseRead.setBoundLabelText(resHelper.getString("contelecBaseRead.boundLabelText"));		
        this.contelecBaseRead.setBoundLabelLength(100);		
        this.contelecBaseRead.setBoundLabelUnderline(true);		
        this.contelecBaseRead.setVisible(true);
        // contwaterBaseRead		
        this.contwaterBaseRead.setBoundLabelText(resHelper.getString("contwaterBaseRead.boundLabelText"));		
        this.contwaterBaseRead.setBoundLabelLength(100);		
        this.contwaterBaseRead.setBoundLabelUnderline(true);		
        this.contwaterBaseRead.setVisible(true);
        // contlastWaterVal		
        this.contlastWaterVal.setBoundLabelText(resHelper.getString("contlastWaterVal.boundLabelText"));		
        this.contlastWaterVal.setBoundLabelLength(100);		
        this.contlastWaterVal.setBoundLabelUnderline(true);		
        this.contlastWaterVal.setVisible(true);
        // contlastEleVal		
        this.contlastEleVal.setBoundLabelText(resHelper.getString("contlastEleVal.boundLabelText"));		
        this.contlastEleVal.setBoundLabelLength(100);		
        this.contlastEleVal.setBoundLabelUnderline(true);		
        this.contlastEleVal.setVisible(true);
        // contlastMeterDate		
        this.contlastMeterDate.setBoundLabelText(resHelper.getString("contlastMeterDate.boundLabelText"));		
        this.contlastMeterDate.setBoundLabelLength(100);		
        this.contlastMeterDate.setBoundLabelUnderline(true);		
        this.contlastMeterDate.setVisible(true);
        // prmtCreator		
        this.prmtCreator.setEnabled(false);
        // kDDateCreateTime		
        this.kDDateCreateTime.setTimeEnabled(true);		
        this.kDDateCreateTime.setEnabled(false);
        // prmtLastUpdateUser		
        this.prmtLastUpdateUser.setEnabled(false);
        // kDDateLastUpdateTime		
        this.kDDateLastUpdateTime.setTimeEnabled(true);		
        this.kDDateLastUpdateTime.setEnabled(false);
        // txtNumber		
        this.txtNumber.setMaxLength(80);
        // pkBizDate		
        this.pkBizDate.setVisible(true);		
        this.pkBizDate.setEnabled(true);
        // txtDescription		
        this.txtDescription.setMaxLength(80);
        // prmtAuditor		
        this.prmtAuditor.setEnabled(false);
        // pkyears		
        this.pkyears.setVisible(true);		
        this.pkyears.setRequired(false);
        // txtdormCode		
        this.txtdormCode.setVisible(true);		
        this.txtdormCode.setHorizontalAlignment(2);		
        this.txtdormCode.setMaxLength(100);		
        this.txtdormCode.setRequired(false);
        // txtdormNumber		
        this.txtdormNumber.setVisible(true);		
        this.txtdormNumber.setHorizontalAlignment(2);		
        this.txtdormNumber.setMaxLength(100);		
        this.txtdormNumber.setRequired(false);
        // txttotalWaterTons		
        this.txttotalWaterTons.setVisible(true);		
        this.txttotalWaterTons.setHorizontalAlignment(2);		
        this.txttotalWaterTons.setDataType(1);		
        this.txttotalWaterTons.setSupportedEmpty(true);		
        this.txttotalWaterTons.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txttotalWaterTons.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txttotalWaterTons.setPrecision(2);		
        this.txttotalWaterTons.setRequired(false);
        // txttotalElecDegrees		
        this.txttotalElecDegrees.setVisible(true);		
        this.txttotalElecDegrees.setHorizontalAlignment(2);		
        this.txttotalElecDegrees.setDataType(1);		
        this.txttotalElecDegrees.setSupportedEmpty(true);		
        this.txttotalElecDegrees.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txttotalElecDegrees.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txttotalElecDegrees.setPrecision(2);		
        this.txttotalElecDegrees.setRequired(false);
        // txtcurMonthWater		
        this.txtcurMonthWater.setVisible(true);		
        this.txtcurMonthWater.setHorizontalAlignment(2);		
        this.txtcurMonthWater.setDataType(1);		
        this.txtcurMonthWater.setSupportedEmpty(true);		
        this.txtcurMonthWater.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtcurMonthWater.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtcurMonthWater.setPrecision(2);		
        this.txtcurMonthWater.setRequired(false);
        // txtcurMonthElecDegrees		
        this.txtcurMonthElecDegrees.setVisible(true);		
        this.txtcurMonthElecDegrees.setHorizontalAlignment(2);		
        this.txtcurMonthElecDegrees.setDataType(1);		
        this.txtcurMonthElecDegrees.setSupportedEmpty(true);		
        this.txtcurMonthElecDegrees.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtcurMonthElecDegrees.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtcurMonthElecDegrees.setPrecision(2);		
        this.txtcurMonthElecDegrees.setRequired(false);
        // prmtmeterReaPerson		
        this.prmtmeterReaPerson.setQueryInfo("com.kingdee.eas.basedata.person.app.PersonQuery");		
        this.prmtmeterReaPerson.setVisible(true);		
        this.prmtmeterReaPerson.setEditable(true);		
        this.prmtmeterReaPerson.setDisplayFormat("$name$");		
        this.prmtmeterReaPerson.setEditFormat("$number$");		
        this.prmtmeterReaPerson.setCommitFormat("$number$");		
        this.prmtmeterReaPerson.setRequired(false);
        // scrollPaneremark
        // txtremark		
        this.txtremark.setVisible(true);		
        this.txtremark.setRequired(false);		
        this.txtremark.setMaxLength(2000);
        // prmtdormitory		
        this.prmtdormitory.setQueryInfo("com.kingdee.eas.custom.dormitorysystem.dormitory.app.DormitoryQuery");		
        this.prmtdormitory.setVisible(true);		
        this.prmtdormitory.setEditable(true);		
        this.prmtdormitory.setDisplayFormat("$RoomNumber$");		
        this.prmtdormitory.setEditFormat("$number$");		
        this.prmtdormitory.setCommitFormat("$number$");		
        this.prmtdormitory.setRequired(false);
        		prmtdormitory.addSelectorListener(new SelectorListener() {
			com.kingdee.eas.custom.dormitorysystem.dormitory.client.DormitoryListUI prmtdormitory_F7ListUI = null;
			public void willShow(SelectorEvent e) {
				if (prmtdormitory_F7ListUI == null) {
					try {
						prmtdormitory_F7ListUI = new com.kingdee.eas.custom.dormitorysystem.dormitory.client.DormitoryListUI();
					} catch (Exception e1) {
						e1.printStackTrace();
					}
					HashMap ctx = new HashMap();
					ctx.put("bizUIOwner",javax.swing.SwingUtilities.getWindowAncestor(prmtdormitory_F7ListUI));
					prmtdormitory_F7ListUI.setF7Use(true,ctx);
					prmtdormitory.setSelector(prmtdormitory_F7ListUI);
				}
			}
		});
					
        // txtelecBaseRead		
        this.txtelecBaseRead.setVisible(true);		
        this.txtelecBaseRead.setHorizontalAlignment(2);		
        this.txtelecBaseRead.setDataType(1);		
        this.txtelecBaseRead.setSupportedEmpty(true);		
        this.txtelecBaseRead.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtelecBaseRead.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtelecBaseRead.setPrecision(2);		
        this.txtelecBaseRead.setRequired(false);
        // txtwaterBaseRead		
        this.txtwaterBaseRead.setVisible(true);		
        this.txtwaterBaseRead.setHorizontalAlignment(2);		
        this.txtwaterBaseRead.setDataType(1);		
        this.txtwaterBaseRead.setSupportedEmpty(true);		
        this.txtwaterBaseRead.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtwaterBaseRead.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtwaterBaseRead.setPrecision(2);		
        this.txtwaterBaseRead.setRequired(false);
        // txtlastWaterVal		
        this.txtlastWaterVal.setVisible(true);		
        this.txtlastWaterVal.setHorizontalAlignment(2);		
        this.txtlastWaterVal.setDataType(1);		
        this.txtlastWaterVal.setSupportedEmpty(true);		
        this.txtlastWaterVal.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtlastWaterVal.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtlastWaterVal.setPrecision(2);		
        this.txtlastWaterVal.setRequired(false);
        // txtlastEleVal		
        this.txtlastEleVal.setVisible(true);		
        this.txtlastEleVal.setHorizontalAlignment(2);		
        this.txtlastEleVal.setDataType(1);		
        this.txtlastEleVal.setSupportedEmpty(true);		
        this.txtlastEleVal.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtlastEleVal.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtlastEleVal.setPrecision(2);		
        this.txtlastEleVal.setRequired(false);
        // pklastMeterDate		
        this.pklastMeterDate.setVisible(true);		
        this.pklastMeterDate.setRequired(false);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {pkyears,txtdormCode,txtdormNumber,txttotalWaterTons,txttotalElecDegrees,txtcurMonthWater,txtcurMonthElecDegrees,prmtmeterReaPerson,txtremark,chkcalcInterval,prmtdormitory,txtwaterBaseRead,kDDateLastUpdateTime,prmtLastUpdateUser,kDDateCreateTime,prmtCreator,prmtAuditor,txtDescription,pkBizDate,txtNumber,txtelecBaseRead,txtlastWaterVal,txtlastEleVal,pklastMeterDate}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(0, 0, 1013, 629));
        this.setLayout(null);
        contCreator.setBounds(new Rectangle(440, 524, 270, 19));
        this.add(contCreator, null);
        contCreateTime.setBounds(new Rectangle(730, 524, 270, 19));
        this.add(contCreateTime, null);
        contLastUpdateUser.setBounds(new Rectangle(440, 555, 270, 19));
        this.add(contLastUpdateUser, null);
        contLastUpdateTime.setBounds(new Rectangle(730, 555, 270, 19));
        this.add(contLastUpdateTime, null);
        contNumber.setBounds(new Rectangle(728, 26, 270, 19));
        this.add(contNumber, null);
        contBizDate.setBounds(new Rectangle(350, 66, 270, 19));
        this.add(contBizDate, null);
        contDescription.setBounds(new Rectangle(728, 66, 270, 19));
        this.add(contDescription, null);
        contAuditor.setBounds(new Rectangle(15, 528, 270, 19));
        this.add(contAuditor, null);
        contyears.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contyears, null);
        contdormCode.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contdormCode, null);
        contdormNumber.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contdormNumber, null);
        conttotalWaterTons.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conttotalWaterTons, null);
        conttotalElecDegrees.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conttotalElecDegrees, null);
        contcurMonthWater.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcurMonthWater, null);
        contcurMonthElecDegrees.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcurMonthElecDegrees, null);
        contmeterReaPerson.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contmeterReaPerson, null);
        contremark.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contremark, null);
        chkcalcInterval.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkcalcInterval, null);
        contdormitory.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contdormitory, null);
        contelecBaseRead.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contelecBaseRead, null);
        contwaterBaseRead.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contwaterBaseRead, null);
        contlastWaterVal.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contlastWaterVal, null);
        contlastEleVal.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contlastEleVal, null);
        contlastMeterDate.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contlastMeterDate, null);
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(kDDateCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(kDDateLastUpdateTime);
        //contNumber
        contNumber.setBoundEditor(txtNumber);
        //contBizDate
        contBizDate.setBoundEditor(pkBizDate);
        //contDescription
        contDescription.setBoundEditor(txtDescription);
        //contAuditor
        contAuditor.setBoundEditor(prmtAuditor);
        //contyears
        contyears.setBoundEditor(pkyears);
        //contdormCode
        contdormCode.setBoundEditor(txtdormCode);
        //contdormNumber
        contdormNumber.setBoundEditor(txtdormNumber);
        //conttotalWaterTons
        conttotalWaterTons.setBoundEditor(txttotalWaterTons);
        //conttotalElecDegrees
        conttotalElecDegrees.setBoundEditor(txttotalElecDegrees);
        //contcurMonthWater
        contcurMonthWater.setBoundEditor(txtcurMonthWater);
        //contcurMonthElecDegrees
        contcurMonthElecDegrees.setBoundEditor(txtcurMonthElecDegrees);
        //contmeterReaPerson
        contmeterReaPerson.setBoundEditor(prmtmeterReaPerson);
        //contremark
        contremark.setBoundEditor(scrollPaneremark);
        //scrollPaneremark
        scrollPaneremark.getViewport().add(txtremark, null);
        //contdormitory
        contdormitory.setBoundEditor(prmtdormitory);
        //contelecBaseRead
        contelecBaseRead.setBoundEditor(txtelecBaseRead);
        //contwaterBaseRead
        contwaterBaseRead.setBoundEditor(txtwaterBaseRead);
        //contlastWaterVal
        contlastWaterVal.setBoundEditor(txtlastWaterVal);
        //contlastEleVal
        contlastEleVal.setBoundEditor(txtlastEleVal);
        //contlastMeterDate
        contlastMeterDate.setBoundEditor(pklastMeterDate);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTable1);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuWorkflow);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator6);
        menuFile.add(menuItemSendMail);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        menuEdit.add(separator1);
        menuEdit.add(menuItemCreateFrom);
        menuEdit.add(menuItemCreateTo);
        menuEdit.add(menuItemCopyFrom);
        menuEdit.add(separatorEdit1);
        menuEdit.add(menuItemEnterToNextRow);
        menuEdit.add(separator2);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        menuView.add(separator3);
        menuView.add(menuItemTraceUp);
        menuView.add(menuItemTraceDown);
        menuView.add(kDSeparator7);
        menuView.add(menuItemLocate);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        menuBiz.add(MenuItemVoucher);
        menuBiz.add(menuItemDelVoucher);
        menuBiz.add(MenuItemPCVoucher);
        menuBiz.add(menuItemDelPCVoucher);
        //menuTable1
        menuTable1.add(menuItemAddLine);
        menuTable1.add(menuItemCopyLine);
        menuTable1.add(menuItemInsertLine);
        menuTable1.add(menuItemRemoveLine);
        //menuTool
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuWorkflow
        menuWorkflow.add(menuItemStartWorkFlow);
        menuWorkflow.add(separatorWF1);
        menuWorkflow.add(menuItemViewSubmitProccess);
        menuWorkflow.add(menuItemViewDoProccess);
        menuWorkflow.add(MenuItemWFG);
        menuWorkflow.add(menuItemWorkFlowList);
        menuWorkflow.add(separatorWF2);
        menuWorkflow.add(menuItemMultiapprove);
        menuWorkflow.add(menuItemNextPerson);
        menuWorkflow.add(menuItemAuditResult);
        menuWorkflow.add(kDSeparator5);
        menuWorkflow.add(kDMenuItemSendMessage);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnSave);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnReset);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnTraceUp);
        this.toolBar.add(btnTraceDown);
        this.toolBar.add(btnWorkFlowG);
        this.toolBar.add(btnSignature);
        this.toolBar.add(btnViewSignature);
        this.toolBar.add(separatorFW4);
        this.toolBar.add(btnNumberSign);
        this.toolBar.add(separatorFW7);
        this.toolBar.add(btnCreateFrom);
        this.toolBar.add(btnCopyFrom);
        this.toolBar.add(btnCreateTo);
        this.toolBar.add(separatorFW5);
        this.toolBar.add(separatorFW8);
        this.toolBar.add(btnAddLine);
        this.toolBar.add(btnCopyLine);
        this.toolBar.add(btnInsertLine);
        this.toolBar.add(btnRemoveLine);
        this.toolBar.add(separatorFW6);
        this.toolBar.add(separatorFW9);
        this.toolBar.add(btnVoucher);
        this.toolBar.add(btnDelVoucher);
        this.toolBar.add(btnPCVoucher);
        this.toolBar.add(btnDelPCVoucher);
        this.toolBar.add(btnAuditResult);
        this.toolBar.add(btnMultiapprove);
        this.toolBar.add(btnWFViewdoProccess);
        this.toolBar.add(btnWFViewSubmitProccess);
        this.toolBar.add(btnNextPerson);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("calcInterval", boolean.class, this.chkcalcInterval, "selected");
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.kDDateCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.kDDateLastUpdateTime, "value");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("bizDate", java.util.Date.class, this.pkBizDate, "value");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "text");
		dataBinder.registerBinding("auditor", com.kingdee.eas.base.permission.UserInfo.class, this.prmtAuditor, "data");
		dataBinder.registerBinding("years", java.util.Date.class, this.pkyears, "value");
		dataBinder.registerBinding("dormCode", String.class, this.txtdormCode, "text");
		dataBinder.registerBinding("dormNumber", String.class, this.txtdormNumber, "text");
		dataBinder.registerBinding("totalWaterTons", java.math.BigDecimal.class, this.txttotalWaterTons, "value");
		dataBinder.registerBinding("totalElecDegrees", java.math.BigDecimal.class, this.txttotalElecDegrees, "value");
		dataBinder.registerBinding("curMonthWater", java.math.BigDecimal.class, this.txtcurMonthWater, "value");
		dataBinder.registerBinding("curMonthElecDegrees", java.math.BigDecimal.class, this.txtcurMonthElecDegrees, "value");
		dataBinder.registerBinding("meterReaPerson", com.kingdee.eas.basedata.person.PersonInfo.class, this.prmtmeterReaPerson, "data");
		dataBinder.registerBinding("remark", String.class, this.txtremark, "text");
		dataBinder.registerBinding("dormitory", com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo.class, this.prmtdormitory, "data");
		dataBinder.registerBinding("elecBaseRead", java.math.BigDecimal.class, this.txtelecBaseRead, "value");
		dataBinder.registerBinding("waterBaseRead", java.math.BigDecimal.class, this.txtwaterBaseRead, "value");
		dataBinder.registerBinding("lastWaterVal", java.math.BigDecimal.class, this.txtlastWaterVal, "value");
		dataBinder.registerBinding("lastEleVal", java.math.BigDecimal.class, this.txtlastEleVal, "value");
		dataBinder.registerBinding("lastMeterDate", java.util.Date.class, this.pklastMeterDate, "value");		
	}
	//Regiester UI State
	private void registerUIState(){		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.dormitorysystem.waterpower.app.WaterPowerMeterReadingEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.pkyears.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.dormitorysystem.waterpower.WaterPowerMeterReadingInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ????????งต??
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("calcInterval", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("years", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("dormCode", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("dormNumber", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("totalWaterTons", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("totalElecDegrees", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("curMonthWater", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("curMonthElecDegrees", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("meterReaPerson", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("remark", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("dormitory", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("elecBaseRead", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("waterBaseRead", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastWaterVal", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastEleVal", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastMeterDate", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        } else if (STATUS_FINDVIEW.equals(this.oprtState)) {
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
        sic.add(new SelectorItemInfo("calcInterval"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("creator.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("creator.id"));
        	sic.add(new SelectorItemInfo("creator.number"));
        	sic.add(new SelectorItemInfo("creator.name"));
		}
        sic.add(new SelectorItemInfo("createTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("lastUpdateUser.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("lastUpdateUser.id"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.number"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.name"));
		}
        sic.add(new SelectorItemInfo("lastUpdateTime"));
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("auditor.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("auditor.id"));
        	sic.add(new SelectorItemInfo("auditor.number"));
        	sic.add(new SelectorItemInfo("auditor.name"));
		}
        sic.add(new SelectorItemInfo("years"));
        sic.add(new SelectorItemInfo("dormCode"));
        sic.add(new SelectorItemInfo("dormNumber"));
        sic.add(new SelectorItemInfo("totalWaterTons"));
        sic.add(new SelectorItemInfo("totalElecDegrees"));
        sic.add(new SelectorItemInfo("curMonthWater"));
        sic.add(new SelectorItemInfo("curMonthElecDegrees"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("meterReaPerson.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("meterReaPerson.id"));
        	sic.add(new SelectorItemInfo("meterReaPerson.number"));
        	sic.add(new SelectorItemInfo("meterReaPerson.name"));
		}
        sic.add(new SelectorItemInfo("remark"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("dormitory.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("dormitory.id"));
        	sic.add(new SelectorItemInfo("dormitory.number"));
        	sic.add(new SelectorItemInfo("dormitory.name"));
        	sic.add(new SelectorItemInfo("dormitory.RoomNumber"));
		}
        sic.add(new SelectorItemInfo("elecBaseRead"));
        sic.add(new SelectorItemInfo("waterBaseRead"));
        sic.add(new SelectorItemInfo("lastWaterVal"));
        sic.add(new SelectorItemInfo("lastEleVal"));
        sic.add(new SelectorItemInfo("lastMeterDate"));
        return sic;
    }        
    	

    /**
     * output actionSubmit_actionPerformed method
     */
    public void actionSubmit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionSubmit_actionPerformed(e);
    }
    	

    /**
     * output actionPrint_actionPerformed method
     */
    public void actionPrint_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
    	if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.print(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
    	

    /**
     * output actionPrintPreview_actionPerformed method
     */
    public void actionPrintPreview_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
        if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.printPreview(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
	public RequestContext prepareActionSubmit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionSubmit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionSubmit() {
    	return false;
    }
	public RequestContext prepareActionPrint(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrint(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrint() {
    	return false;
    }
	public RequestContext prepareActionPrintPreview(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrintPreview(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrintPreview() {
    	return false;
    }

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.dormitorysystem.waterpower.client", "WaterPowerMeterReadingEditUI");
    }
    /**
     * output isBindWorkFlow method
     */
    public boolean isBindWorkFlow()
    {
        return true;
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.dormitorysystem.waterpower.client.WaterPowerMeterReadingEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.dormitorysystem.waterpower.WaterPowerMeterReadingFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.dormitorysystem.waterpower.WaterPowerMeterReadingInfo objectValue = new com.kingdee.eas.custom.dormitorysystem.waterpower.WaterPowerMeterReadingInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }


    	protected String getTDFileName() {
    	return "/bim/custom/dormitorysystem/waterpower/WaterPowerMeterReading";
	}
    protected IMetaDataPK getTDQueryPK() {
    	return new MetaDataPK("com.kingdee.eas.custom.dormitorysystem.waterpower.app.WaterPowerMeterReadingQuery");
	}
    

    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {        
        return null;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}